# $Revision: 1.72.2.21 $, $Date: 2007/04/01 18:23:24 $
# Conditional build
%bcond_with	gstreamer	# build with gstreamer instead xine-lib
%bcond_without	nvtv		# build without nvtv support
#
# nvtv only available on few archs
%ifnarch alpha arm %{ix86} ia64 sh %{x8664}
%undefine	with_nvtv
%endif
#
Summary:	Movie player for GNOME 2 based on the gstreamer engine
Summary(pl):	Odtwarzacz filmw dla GNOME 2 oparty na silniku gstreamer
Name:		totem
Version:	1.4.4
Release:	5
License:	GPL
Group:		Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/gnome/sources/totem/1.4/%{name}-%{version}.tar.bz2
# Source0-md5:	77064a80cb86aecdbbaeacf71195d2d5
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-idl.patch
Patch2:		%{name}-mozilla_includes.patch
Patch3:		%{name}-configure.patch
Patch4:		%{name}-codecs_path.patch
URL:		http://www.hadess.net/totem.php3
BuildRequires:	GConf2-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gnome-desktop-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	rpmbuild(macros) >= 1.236
%if %{with gstreamer}
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
%endif
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.34
BuildRequires:	iso-codes
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libmusicbrainz-devel
%{?with_nvtv:BuildRequires:	libnvtvsimple-devel >= 0.4.5}
BuildRequires:	libtool
BuildRequires:	lirc-devel
BuildRequires:	xulrunner-devel
BuildRequires:	nautilus-cd-burner-devel >= 2.14.0
BuildRequires:	nautilus-devel >= 2.14.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	scrollkeeper
%{!?with_gstreamer:BuildRequires:	xine-lib-devel >= 2:1.0.2-1}
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Requires:	XFree86-libs >= 4.3.0-1.3
%if %{with gstreamer}
Requires:	gstreamer-GConf >= 0.10
Requires:	gstreamer-audiosink >= 0.10
Requires:	gstreamer-videosink >= 0.10
%else
Requires:	xine-plugin-video
# not usable
Conflicts:	xine-input-gnome-vfs <= 1.1.1
%endif
Requires:	gtk+2 >= 2:2.8.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gstreamer}
%description
Totem is simple movie player for the GNOME desktop based on gstreamer.
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%description -l pl
Totem to prosty odtwarzacz filmw dla rodowiska GNOME oparty na
gstreamer. Ma prost list odtwarzania, tryb penoekranowy, kontrol
pooenia w pliku i gonoci, a take w miar kompletn obsug z
klawiatury.

%else
%description
Totem is simple movie player for the GNOME desktop based on xine-libs.
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%description -l pl
Totem to prosty odtwarzacz filmw dla rodowiska GNOME oparty na
xine-libs. Ma prost list odtwarzania, tryb penoekranowy, kontrol
pooenia w pliku i gonoci, a take w miar kompletn obsug z
klawiatury.
%endif

%package libs
Summary:	Totem shared libraries
Summary(pl):	Wspdzielone biblioteki Totema
Group:		Libraries
Requires:	gnome-desktop-libs >= 2.14.0
Requires:	nautilus-libs >= 2.14.0

%description libs
Totem shared libraries.

%description libs -l pl
Wspdzielone biblioteki Totema.

%package devel
Summary:	Totem include files
Summary(pl):	Pliki nagwkowe Totema
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8.3

%description devel
Totem headers files.

%description devel -l pl
Pliki nagwkowe Totema.

%package static
Summary:	Static Totem libraries
Summary(pl):	Statyczne biblioteki Totema
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Totem libraries.

%description static -l pl
Statyczne biblioteki Totema.

%package -n browser-plugin-%{name}
Summary:	Totem's browser plugin
Summary(pl):	Wtyczka Totema do przegldarek WWW
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins(%{_target_base_arch})
Provides:	mozilla-firefox-plugin-totem
Provides:	mozilla-plugin-totem
Obsoletes:	mozilla-firefox-plugin-totem
Obsoletes:	mozilla-plugin-totem

%description -n browser-plugin-%{name}
Totem's plugin for browsers.

Supported browsers: %{browsers}.

%description -n browser-plugin-%{name} -l pl
Wtyczka Totem do przegldarek WWW.

Obsugiwane przegldarki: %{browsers}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-lirc \
	--enable-mozilla \
	--enable-nautilus \
	%{?with_nvtv:--enable-nvtv} \
	%{?with_gstreamer:--enable-gstreamer=0.10}

%{__make} \
	MOZILLA_IDLDIR="%{_includedir}/xulrunner/idl"


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	plugindir=%{_browserpluginsdir} \
	typelibdir=%{_browserpluginsdir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_browserpluginsdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{la,a}

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install totem-handlers.schemas
%gconf_schema_install totem-video-thumbnail.schemas
%gconf_schema_install totem.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%preun
%gconf_schema_uninstall totem-handlers.schemas
%gconf_schema_uninstall totem-video-thumbnail.schemas
%gconf_schema_uninstall totem.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/totem-handlers.schemas
%{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas
%{_sysconfdir}/gconf/schemas/totem.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser.so.*.*.*
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser.so
%{_libdir}/libtotem-plparser.la
%{_includedir}/totem
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtotem-plparser.a

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/totem-mozilla-viewer
%attr(755,root,root) %{_browserpluginsdir}/*.so
%attr(755,root,root) %{_browserpluginsdir}/*.xpt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: totem.spec,v $
Revision 1.72.2.21  2007/04/01 18:23:24  glen
- build with xulrunner and browser-plugins v2

Revision 1.72.2.20  2006/12/08 14:02:01  glen
- rel 4 (mozilla-firefox-2.0)

Revision 1.72.2.19  2006/11/26 11:18:26  glen
- rel 3 (mozilla-firefox 1.5.0.8)

Revision 1.72.2.18  2006/09/15 18:20:53  glen
- rel 2 (mozilla-firefox 1.5.0.7)

Revision 1.72.2.17  2006/08/06 19:16:10  freetz
- 1.4.4

Revision 1.72.2.16  2006/08/03 12:05:33  hawk
- release 5

Revision 1.72.2.15  2006/07/29 10:16:33  freetz
- rel.4 for rebuild with firefox 1.5.0.5

Revision 1.72.2.14  2006/07/24 08:39:03  freetz
- codec_path patch added, rel.3

Revision 1.72.2.13  2006/07/20 19:34:14  havner
- gnome-vfs seems to work with 1.1.2
- rel 2

Revision 1.72.2.12  2006/07/14 21:59:40  freetz
- 1.4.3

Revision 1.72.2.11  2006/06/25 15:02:12  freetz
- 1.4.2

Revision 1.72.2.10  2006/06/02 17:21:12  freetz
- C: xine-input-gnome-vfs (broken), force gstreamer version at build time
  rel.2

Revision 1.72.2.9  2006/05/19 16:06:00  freetz
- 1.4.1, switched to firefox (epiphany depends on it too),
  fixed firefox build

Revision 1.72.2.8  2006/05/18 20:27:21  baggins
- release 5
- strict reqs

Revision 1.72.2.7  2006/05/17 18:03:35  baggins
- rel 4
- build with xine, not gstreamer

Revision 1.72.2.6  2006/05/17 13:07:29  baggins
- proper mozilla BR

Revision 1.72.2.5  2006/05/17 13:06:48  baggins
- release 3
- fixed mozilla idl dir

Revision 1.72.2.4  2006/05/17 12:56:37  baggins
- merged from HEAD
- BRs for GNOME 2.14

Revision 1.80  2006/05/14 12:45:58  blues
- browser plugin support finished

Revision 1.79  2006/05/14 11:55:58  glen
-  rpmbuild(macros) for nsplugin macros, adapter

Revision 1.78  2006/05/14 11:29:31  blues
- started with browser plugins support, NFY

Revision 1.77  2006/04/02 14:10:33  freetz
- disable checking for runtime deps at builtime (patch), dropped
  gnome-desktop dependency (no required anymore)

Revision 1.76  2006/04/02 13:32:08  freetz
- merged from DEVEL

Revision 1.73.2.6  2006/03/13 15:04:00  freetz
- 1.4.0

Revision 1.73.2.5  2006/03/01 07:31:37  freetz
- 1.3.92

Revision 1.73.2.4  2006/02/22 18:43:39  freetz
- gstreamer by default for now, xorg deps, rel.2

Revision 1.73.2.3  2006/02/13 10:08:11  freetz
- 1.3.91, killed xfree86 requirement, xine backend not tested

Revision 1.73.2.2  2006/01/31 15:02:46  freetz
- fixed gstreamer deps

Revision 1.73.2.1  2006/01/31 02:07:55  patrys
- up to 1.3.90

Revision 1.75  2006/02/24 18:05:26  aredridel
- remove XFree86 dependency

Revision 1.74  2006/02/02 13:44:14  maciek2w
- updated to 1.3.1

Revision 1.73  2005/12/21 21:18:55  patrys
- up to 1.3.0

Revision 1.72  2005/12/11 21:58:15  freetz
- 1.2.1

Revision 1.71  2005/10/06 18:45:21  blues
- release 5 - dbus-glib-devel to build with mozilla plugin.

Revision 1.70  2005/09/22 13:56:19  qboosh
- pl fix

Revision 1.69  2005/09/17 17:06:40  freetz
- post revolution cleanup

Revision 1.68  2005/09/17 17:02:34  freetz
- mozilla plugins finished, expanded todo, added mozilla-includes patch
  rel.4

Revision 1.67  2005/09/13 06:51:40  freetz
- undefine with_nvtv instead of setting it to 0

Revision 1.66  2005/09/10 23:41:38  freetz
- require nautilus-libs for libs subpackage

Revision 1.65  2005/09/10 19:46:22  aflinta
- added mozilla-firefox-plugin-totem subpackage, updated TODO, rel 3.1

Revision 1.64  2005/09/09 23:13:32  freetz
- disable nvtv on not supported archs, rel.3

Revision 1.63  2005/09/08 13:03:32  patrys
- missing BR: nautilus-devel (libnautilus-extension for media sinks)

Revision 1.62  2005/09/07 19:51:58  freetz
- enabled iso-codes, rel.2

Revision 1.61  2005/09/06 22:12:35  paladine
- bumped BRs/Rs

Revision 1.60  2005/09/06 17:58:39  freetz
- merged from DEVEL and updated to 1.2.0

Revision 1.46.2.13  2005/08/24 13:22:15  aflinta
- 1.1.5

Revision 1.46.2.12  2005/08/18 12:03:46  aflinta
- rebuild with cairo, rel. 2

Revision 1.46.2.11  2005/08/10 22:34:29  freetz
- 1.1.4, itemize schemas, sorted %%files

Revision 1.46.2.10  2005/08/10 17:26:34  aflinta
- totem prefers newer xine-lib

Revision 1.46.2.9  2005/08/09 13:10:48  paladine
- missing BR: scrollkeeper

Revision 1.46.2.8  2005/07/13 16:28:56  wiget
- updated to 1.1.3

Revision 1.46.2.7  2005/07/11 18:44:04  freetz
- nvtv bcond by default, more BRs

Revision 1.46.2.6  2005/07/04 21:44:39  freetz
- 1.1.2

Revision 1.46.2.5  2005/05/17 19:51:45  wrobell
- todo: make mozilla plugin

Revision 1.46.2.4  2005/04/13 01:05:42  patrys
- up to 1.1.1
- won't build (missing dep - iso-codes from Debian)
